# Interface StaticMembershipServiceMBean

All Known Implementing Classes:
  `StaticMembershipService`

public interface StaticMembershipServiceMBean
MBean interface for the static membership service.

## Method Summary

Modifier and Type
Method
Description
`Member`
`findMemberByName(String name)`
Finds a member by name.
`int`
`getConnectTimeout()`
Returns the connection timeout in milliseconds.
`long`
`getExpirationTime()`
Returns the member expiration time in milliseconds.
`String[]`
`getMembersByName()`
Returns the names of all cluster members.
`long`
`getPingInterval()`
Returns the ping interval in milliseconds.
`Properties`
`getProperties()`
Returns the configuration properties.
`long`
`getRpcTimeout()`
Returns the RPC timeout in milliseconds.
`boolean`
`getUseThread()`
Returns whether a background ping thread is in use.
`boolean`
`hasMembers()`
Checks if there are any members in the cluster.

## Method Details

### getExpirationTime

long getExpirationTime()
Returns the member expiration time in milliseconds.

Returns:
  the expiration time

### getConnectTimeout

int getConnectTimeout()
Returns the connection timeout in milliseconds.

Returns:
  the connection timeout

### getRpcTimeout

long getRpcTimeout()
Returns the RPC timeout in milliseconds.

Returns:
  the RPC timeout

### getUseThread

boolean getUseThread()
Returns whether a background ping thread is in use.

Returns:
  true if a background thread is used

### getPingInterval

long getPingInterval()
Returns the ping interval in milliseconds.

Returns:
  the ping interval

### getProperties

Properties getProperties()
Returns the configuration properties.

Returns:
  the properties

### hasMembers

boolean hasMembers()
Checks if there are any members in the cluster.

Returns:
  true if there are members

### getMembersByName

String[] getMembersByName()
Returns the names of all cluster members.

Returns:
  array of member names

### findMemberByName

Member findMemberByName(String name)
Finds a member by name.

Parameters:
  `name` - the member name
Returns:
  the member, or null if not found